<div class="competence-container">
  <PixCollapsible @title="{{@title}}">
    <div class="panel">
      <table class="table content-text content-text--small select-tube-table">
        <caption class="sr-only">Sélection des sujets</caption>
        <thead>
          <tr>
            <Table::Header @size="medium" scope="col">
              <p>Thématiques</p>
            </Table::Header>
            <Table::Header @size="wide" scope="col">
              <p>Sujets</p>
            </Table::Header>
            <Table::Header @size="small" scope="col">
              <p>Niveau</p>
            </Table::Header>
            <Table::Header @size="medium" @align="center" scope="col">
              <p>Compatibilité</p>
            </Table::Header>
          </tr>
        </thead>

        <tbody>
          {{#each @thematics as |thematic|}}
            {{#each thematic.tubes as |tube index|}}
              <tr class="row-tube" aria-label="Sujet">
                {{#if (eq index 0)}}
                  <Common::TubesDetails::Thematic @name={{thematic.name}} @nbTubes={{thematic.nbTubes}} />
                {{/if}}
                <Common::TubesDetails::Tube
                  @id={{tube.id}}
                  @title={{tube.title}}
                  @level={{tube.level}}
                  @mobile={{tube.mobile}}
                  @tablet={{tube.tablet}}
                />
              </tr>
            {{/each}}
          {{/each}}
        </tbody>
      </table>
    </div>
  </PixCollapsible>
</div>